import 'package:flutter/material.dart';

class TotalPriceProvider with ChangeNotifier {
  int? _totalPrice;
  int? _totalPrices;
  int? _priceCoupon;
  int? _finalPriceCoupon;
  int? _potonganKupon;
  int? _penguranganHarga;
  String? _typeCoupon;
  String? _couponText;
  String? _valuePrice;
  String? _subTotal;

  int? get totalPrice => _totalPrice;
  int? get totalPrices => _totalPrices;
  int? get priceCoupon => _priceCoupon;
  int? get finalPriceCoupon => _finalPriceCoupon;
  int? get potonganKupon => _potonganKupon;
  int? get penguranganHarga => _penguranganHarga;
  String? get typeCoupon => _typeCoupon;
  String? get couponText => _couponText;
  String? get valuePrice => _valuePrice;
  String? get subTotal => _subTotal;

  set selectedTotalPrice(int value) {
    _totalPrice = value;
    notifyListeners();
  }

  set selectedTotalPrices(int value) {
    _totalPrices = value;
    notifyListeners();
  }

  set selectedPriceCoupon(int value) {
    _priceCoupon = value;
    notifyListeners();
  }

  set selectedTypeCoupon(String value) {
    _typeCoupon = value;
    notifyListeners();
  }

  set selectedFinalPriceCoupon(int value) {
    _finalPriceCoupon = value;
    notifyListeners();
  }

  set selectedCouponText(String value) {
    _couponText = value;
    notifyListeners();
  }

  set selectedPotonganKupon(int value) {
    _potonganKupon = value;
    notifyListeners();
  }

  set selectedValuePrice(String value) {
    _valuePrice = value;
    notifyListeners();
  }

  set selectedPenguranganHarga(int value) {
    _penguranganHarga = value;
    notifyListeners();
  }

  set selectedSubTotal(String value) {
    _subTotal = value;
    notifyListeners();
  }
}
